## org.apache.poi.hssf.record
Class ObjRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.ObjRecord

    public final class ObjRecord

extends Record

OBJRECORD (0x005D)

The obj record is used to hold various graphic objects and controls.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`ObjRecord()`
`ObjRecord(RecordInputStream in)`

Method Summary
`void` `addSubRecord(int index, SubRecord element)`
`boolean` `addSubRecord(SubRecord o)`
`void` `clearSubRecords()`
`java.lang.Object` `clone()`
`int` `getRecordSize()` gives the current serialized size of the record.
`short` `getSid()` return the non static version of the id for this record.
`java.util.List<SubRecord>` `getSubRecords()`
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ObjRecord

    public ObjRecord()

### ObjRecord

    public ObjRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getRecordSize

    public int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Specified by:
    `getRecordSize` in class `RecordBase`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `RecordBase`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `RecordBase`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getSubRecords

    public java.util.List<SubRecord> getSubRecords()

### clearSubRecords

    public void clearSubRecords()

### addSubRecord

    public void addSubRecord(int index,
                             SubRecord element)

### addSubRecord

    public boolean addSubRecord(SubRecord o)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.